Security Enhanced Linux Reference Policy

# Layer: services

## Module: polipo

Tunables Interfaces Templates

### Description:

Lightweight forwarding and caching proxy server.

### Tunables:

polipo_session_send_syslog_msg

##### Default value

false

##### Description

Determine whether Polipo session daemon can send syslog messages.

polipo_session_users

##### Default value

false

##### Description

Determine whether calling user domains can execute Polipo daemon in the polipo_session_t domain.

polipo_system_use_cifs

##### Default value

false

##### Description

Determine whether Polipo system daemon can access CIFS file systems.

polipo_system_use_nfs

##### Default value

false

##### Description

Determine whether Polipo system daemon can access NFS file systems.

Return

### Interfaces:

polipo_admin( domain , role )

##### Summary

All of the rules required to administrate an polipo environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

polipo_initrc_domtrans( domain )

##### Summary

Execute Polipo in the Polipo system domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

polipo_log_filetrans_log( domain , object_class , name )

##### Summary

Create specified objects in generic log directories with the polipo log file type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

Return

### Templates:

polipo_role( role , domain )

##### Summary

Role access for Polipo session.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

Return